| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
Pos::EMImplicitBodyProvider Class Reference
EarthModel

EM implicit body provider for 3D positioning. More...

`#include <emsurfaceposprov.h>`

Inheritance diagram for Pos::EMImplicitBodyProvider:
[legend]

## Public Member Functions
| EMImplicitBodyProvider ()
| EMImplicitBodyProvider (const EMImplicitBodyProvider &)
| ~EMImplicitBodyProvider ()
EMImplicitBodyProvider * | clone () const override
BinID | curBinID () const override
float | curZ () const override
od_int64 | estNrPos () const override
int | estNrZPerPos () const override
const char * | factoryKeyword () const override
void | fillPar (IOPar &) const override
void | getExtent (BinID &, BinID &) const override
Array3D< float > * | getImpBodyData () const
const TrcKeyZSampling & | getImpBodyRange () const
void | getSummary (BufferString &) const override
float | getThreshold () const
void | getTrcKeyZSampling (TrcKeyZSampling &cs) const override
void | getZRange (Interval< float > &) const override
bool | includes (const BinID &, float) const override
bool | includes (const Coord &c, float z) const override
bool | initialize (TaskRunner *tr=0) override
EMImplicitBodyProvider & | operator= (const EMImplicitBodyProvider &)
void | reset () override
bool | toNextPos () override
bool | toNextZ () override
const char * | type () const override
void | usePar (const IOPar &) override
Public Member Functions inherited from Pos::Provider3D
Coord | curCoord () const override
TrcKey | curTrcKey () const override
static ::Factory< Provider3D > & | factory ()
uiString | factoryDisplayName () const override
const char * | factoryKeyword () const override
bool | includes (const Coord &, float z=mUdf(float)) const override
bool | is2D () const override
virtual mDeprecatedObs void | setSurvID (OD::GeomSystem gs)
OD::GeomSystem | survID () const override
Public Member Functions inherited from Pos::Filter
virtual | ~Filter ()
virtual float | adjustedZ (const Coord &, float z) const
virtual bool | hasZAdjustment () const
Public Member Functions inherited from Pos::Provider
float | estRatio (const Provider &) const override
bool | isProvider () const override

## Static Public Member Functions
static Provider3D * | create ()
static void | initClass ()
static const char * | sKeyBBCrlrg ()
static const char * | sKeyBBInlrg ()
static const char * | sKeyBBZrg ()
static const char * | sKeyUseInside ()
Static Public Member Functions inherited from Pos::Provider3D
static Provider3D * | make (const IOPar &)
Static Public Member Functions inherited from Pos::Filter3D
static Filter3D * | make (const IOPar &)
Static Public Member Functions inherited from Pos::Filter
static Filter * | make (const IOPar &, bool is2d)
Static Public Member Functions inherited from Pos::Provider
static Provider * | make (const IOPar &, bool is2d)

## Protected Member Functions
bool | isOK () const
Protected Member Functions inherited from Pos::Provider3D
| Provider3D ()

## Protected Attributes
TrcKeyZSampling | bbox_
BinID | curbid_
float | curz_
EM::Body * | embody_
Array3D< float > * | imparr_
bool | initializedbody_
float | threshold_
TrcKeyZSampling | tkzs_
bool | useinside_

## Detailed Description

EM implicit body provider for 3D positioning.

<>

## Constructor & Destructor Documentation

## ◆ EMImplicitBodyProvider() [1/2]

Pos::EMImplicitBodyProvider::EMImplicitBodyProvider | ( |  | ) |

## ◆ EMImplicitBodyProvider() [2/2]

Pos::EMImplicitBodyProvider::EMImplicitBodyProvider | ( | const EMImplicitBodyProvider & |  | ) |

## ◆ ~EMImplicitBodyProvider()

Pos::EMImplicitBodyProvider::~EMImplicitBodyProvider | ( |  | ) |

## Member Function Documentation

## ◆ clone()

EMImplicitBodyProvider * Pos::EMImplicitBodyProvider::clone | ( |  | ) | const
| inline override virtual

Implements Pos::Filter.

## ◆ create()

static Provider3D * Pos::EMImplicitBodyProvider::create | ( |  | ) |
| inline static

## ◆ curBinID()

BinID Pos::EMImplicitBodyProvider::curBinID | ( |  | ) | const
| inline override virtual

Implements Pos::Provider3D.

## ◆ curZ()

float Pos::EMImplicitBodyProvider::curZ | ( |  | ) | const
| inline override virtual

Implements Pos::Provider.

## ◆ estNrPos()

od_int64 Pos::EMImplicitBodyProvider::estNrPos | ( |  | ) | const
| override virtual

Implements Pos::Provider.

## ◆ estNrZPerPos()

int Pos::EMImplicitBodyProvider::estNrZPerPos | ( |  | ) | const
| override virtual

Reimplemented from Pos::Provider.

## ◆ factoryKeyword()

const char * Pos::EMImplicitBodyProvider::factoryKeyword | ( |  | ) | const
| inline override

## ◆ fillPar()

void Pos::EMImplicitBodyProvider::fillPar | ( | IOPar & |  | ) | const
| override virtual

Implements Pos::Filter.

## ◆ getExtent()

void Pos::EMImplicitBodyProvider::getExtent | ( | BinID & | ,
|  | BinID & | ) const
| override virtual

Implements Pos::Provider3D.

## ◆ getImpBodyData()

Array3D< float > * Pos::EMImplicitBodyProvider::getImpBodyData | ( |  | ) | const
| inline

## ◆ getImpBodyRange()

const TrcKeyZSampling & Pos::EMImplicitBodyProvider::getImpBodyRange | ( |  | ) | const
| inline

## ◆ getSummary()

void Pos::EMImplicitBodyProvider::getSummary | ( | BufferString & |  | ) | const
| override virtual

Implements Pos::Filter.

## ◆ getThreshold()

float Pos::EMImplicitBodyProvider::getThreshold | ( |  | ) | const
| inline

## ◆ getTrcKeyZSampling()

void Pos::EMImplicitBodyProvider::getTrcKeyZSampling | ( | TrcKeyZSampling & | cs | ) | const
| override virtual

Reimplemented from Pos::Provider.

## ◆ getZRange()

void Pos::EMImplicitBodyProvider::getZRange | ( | Interval< float > & |  | ) | const
| override virtual

Implements Pos::Provider3D.

## ◆ includes() [1/2]

bool Pos::EMImplicitBodyProvider::includes | ( | const BinID & | ,
|  | float | ) const
| override virtual

Implements Pos::Provider3D.

## ◆ includes() [2/2]

bool Pos::EMImplicitBodyProvider::includes | ( | const Coord & | c,
|  | float | z ) const
| override virtual

Implements Pos::Filter.

## ◆ initClass()

static void Pos::EMImplicitBodyProvider::initClass | ( |  | ) |
| static

## ◆ initialize()

bool Pos::EMImplicitBodyProvider::initialize | ( | TaskRunner * | tr = 0 | ) |
| override virtual

Reimplemented from Pos::Filter.

## ◆ isOK()

bool Pos::EMImplicitBodyProvider::isOK | ( |  | ) | const
| protected

## ◆ operator=()

EMImplicitBodyProvider & Pos::EMImplicitBodyProvider::operator= | ( | const EMImplicitBodyProvider & |  | ) |

## ◆ reset()

void Pos::EMImplicitBodyProvider::reset | ( |  | ) |
| inline override virtual

Implements Pos::Filter.

## ◆ sKeyBBCrlrg()

static const char * Pos::EMImplicitBodyProvider::sKeyBBCrlrg | ( |  | ) |
| inline static

## ◆ sKeyBBInlrg()

static const char * Pos::EMImplicitBodyProvider::sKeyBBInlrg | ( |  | ) |
| inline static

## ◆ sKeyBBZrg()

static const char * Pos::EMImplicitBodyProvider::sKeyBBZrg | ( |  | ) |
| inline static

## ◆ sKeyUseInside()

static const char * Pos::EMImplicitBodyProvider::sKeyUseInside | ( |  | ) |
| inline static

## ◆ toNextPos()

bool Pos::EMImplicitBodyProvider::toNextPos | ( |  | ) |
| override virtual

Implements Pos::Provider.

## ◆ toNextZ()

bool Pos::EMImplicitBodyProvider::toNextZ | ( |  | ) |
| override virtual

Implements Pos::Provider.

## ◆ type()

const char * Pos::EMImplicitBodyProvider::type | ( |  | ) | const
| inline override virtual

Implements Pos::Filter.

## ◆ usePar()

void Pos::EMImplicitBodyProvider::usePar | ( | const IOPar & |  | ) |
| override virtual

Implements Pos::Filter.

## Member Data Documentation

## ◆ bbox_

TrcKeyZSampling Pos::EMImplicitBodyProvider::bbox_
| protected

## ◆ curbid_

BinID Pos::EMImplicitBodyProvider::curbid_
| protected

## ◆ curz_

float Pos::EMImplicitBodyProvider::curz_
| protected

## ◆ embody_

EM::Body* Pos::EMImplicitBodyProvider::embody_
| protected

## ◆ imparr_

Array3D<float>* Pos::EMImplicitBodyProvider::imparr_
| protected

## ◆ initializedbody_

bool Pos::EMImplicitBodyProvider::initializedbody_
| protected

## ◆ threshold_

float Pos::EMImplicitBodyProvider::threshold_
| protected

## ◆ tkzs_

TrcKeyZSampling Pos::EMImplicitBodyProvider::tkzs_
| protected

## ◆ useinside_

bool Pos::EMImplicitBodyProvider::useinside_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025